package com.lightinit.hsdataportal.service;

import com.lightinit.hsdataportal.model.*;

import java.util.List;

public interface IAPIservice {
    //open
    List<APIOpenListModel> queryOpenList(APIOpenSearchModel apiOpenSearchModel);

    long queryOpenCount(APIOpenSearchModel apiOpenSearchModel);

    int isFollow(Long userId, Long settingId, String platformType);

    //share
    List<APIShareListModel> queryShareList(APIShareSearchModel apiShareSearchModel);

    long queryShareCount(APIShareSearchModel apiShareSearchModel);

    APIOpenViewModel queryOpenView(Long id,Long settingId,String platformType);

    ResultState follow(Long settingId, Long id,String platformType);

    ResultState<Long> offlineConference(APIOfflineConferenceModel offlineConferenceModel, Long id);

    APIShareViewModel queryShareView(Long id);

    ResultState<Long> apply(Long settingId, Long followId,String dicPlatformType,String applyReason);


    List<APIServiceTypeModel> getApiServiceTypes(String fuwutype);

    boolean isApply(Long settingId, Long followId,String dicPlatformType,String applyReason) ;

    ResultState isPay(Long id, Long id1, String open);
}
